In this section
← Recipe
- Retrieve the required recipe
- Boost a recipe
- Unboost a recipe
- Recursively retrieve the specified recipe's linked recipes
- Retrieve the recipe's media available to the current user
- Retrieve all of the user's recipes
- Create a new recipe
- Retrieve the specified recipe by its id
- Update an existing recipe
- Delete a recipe
On this page
Update an existing recipe
PATCH /api/v1/recipes/{id}Update one or more fields of the specified recipe including name, description, ingredients, and steps. Only the owning account may update it.
Required Scopes
write
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
id |
path | yes | integer |
Request Body
Content-Type: application/json
Schema: object
| Field | Type | Required | Description |
|---|---|---|---|
recipe |
recipe_input |
no |
Responses
204
recipe updated
422
invalid request
Schema: errors
errors
| Field | Type | Required | Description |
|---|---|---|---|
errors |
object | yes |
